%if 0%{?suse_version}
%define daemon_group www
%define radiusdirectory radiusclient
%else
%define daemon_group apache
%define radiusdirectory radiusclient-ng
%endif
%define daemon_user monitor


Summary: OP5 Monitor is a highly flexible network monitoring tool
Name: monitor-config
Version: 7.0.0
Release: op5.1
BuildArchitectures: noarch
License: GPLv2+
Group: op5/monitor
URL: http://www.op5.se
Source0: %name-%version.tar.gz
Prefix: /opt/monitor/etc
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: op5-monitor-user
%if 0%{?suse_version}
BuildRequires: pwdutils
Requires: pwdutils
%else
BuildRequires: shadow-utils
Requires: shadow-utils
%endif


%description
op5 Monitor is a system for monitoring network hosts and its various
services. This package provide a basic default configuration

%package test
Summary: Empty test helper
Version: 7.0.0
Release: op5.1
Group: op5/monitor
Requires: op5-nagios

%description test
Empty test helper

%prep
%setup -q


%build


%install
rm -rf %buildroot

mkdir -p %buildroot%prefix/
install -m 664 *.cfg %buildroot%prefix/
sed -i "s|@RADIUSDIRECTORY@|%{radiusdirectory}|" %buildroot%prefix/checkcommands.cfg
mkdir -p %buildroot%prefix/oconf

%post
# unconditionally update url_html_path in cgi.cfg
sed -i 's,^\(url_html_path=\).*,\1/monitor.old,' %prefix/cgi.cfg

# enable syslog logging
sed -i 's/^use_syslog=.*/use_syslog=1/' %prefix/nagios.cfg


%clean
rm -rf %{buildroot}


%files
%defattr(660,%daemon_user,%daemon_group,-)
%dir %attr(775,%daemon_user,%daemon_group) %prefix
%config(noreplace) %prefix/cgi.cfg
%config(noreplace) %prefix/eventhandlers.cfg
%config(noreplace) %prefix/hostgroups.cfg
%config(noreplace) %prefix/servicegroups.cfg
%config(noreplace) %prefix/checkcommands.cfg
%config(noreplace) %prefix/hostdependencies.cfg
%config(noreplace) %prefix/hosts.cfg
%config(noreplace) %prefix/nagios.cfg
%config(noreplace) %prefix/servicedependencies.cfg
%config(noreplace) %prefix/services.cfg
%config(noreplace) %prefix/contactgroups.cfg
%config(noreplace) %prefix/hostescalations.cfg
%config(noreplace) %prefix/serviceescalations.cfg
%config(noreplace) %prefix/timeperiods.cfg
%config(noreplace) %prefix/contacts.cfg
%config(noreplace) %prefix/hostextinfo.cfg
%config(noreplace) %prefix/misccommands.cfg
%config(noreplace) %prefix/serviceextinfo.cfg
%dir %attr(775,%daemon_user,%daemon_group) %prefix/oconf
%config(noreplace) %attr(600,%daemon_user,root) %prefix/resource.cfg

%files test
